#ifndef SHAREDNOISEMAP__H
#define SHAREDNOISEMAP__H
#include "OnlineCalibration/SharedData.h"
#include "OnlineCalibration/BufferManager.h"
#include "OnlineCalibration/HitMap.h"

namespace novaddt{
    namespace calib{
        const size_t FD_NUM_PLANES = 896;
        const size_t FD_NUM_CELLS  = 384;
        const size_t ND_NUM_PLANES = 256;
        const size_t ND_NUM_CELLS  = 96; 
        using FDHitMap=HitMap<uint32_t,dimensions<FD_NUM_PLANES,FD_NUM_CELLS>>;
        using NDHitMap=HitMap<uint32_t,dimensions<ND_NUM_PLANES,ND_NUM_CELLS>>;
        using FDNoiseBufferManager = BufferManager<FDHitMap,2>;
        using NDNoiseBufferManager = BufferManager<NDHitMap,2>;
        using SharedFDHitMap = SharedData<FDNoiseBufferManager>;
        using SharedNDHitMap = SharedData<NDNoiseBufferManager>;
    }
}

#endif
